package model;

/**
 * Questa applicazione testa la classe AgTCUniverse 
 * 
 * @author Matteo Campana nmatr.0000197228
 *
*/
import java.util.*;
import javax.swing.*;
import java.awt.*;
public class TestAgTCUni {

	public static void main(String[] args) throws CadObjectNameException {
//		CREO L'UNIVERSO Con un certo numero iniziale di Agenti 
		ArrayList alist = new ArrayList();
		String temp;
		for(int i=0; i<9 ; i++){
			temp="Agente"+i;
			alist.add(i,temp);
		}
//		CREO L'UNIVERSO Con un certo numero iniziale di TC 
		ArrayList tclist = new ArrayList();
		for(int i=0; i<9 ; i++){
			temp="TC"+i;
			tclist.add(i,temp);
		}
		
		AgTCUniverse myUniverse = new AgTCUniverse(alist, tclist, new JTextField());
		
//		VISUALIZZO IL CANVAS DELL'UNIVERSO IN UNA FINESTRA
			  JFrame f = new JFrame("CAD");
			  f.getContentPane().add(myUniverse.getSimUniverse().getCanvas(),BorderLayout.CENTER);
			  f.setSize(700,700);
			  f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			  f.show();
		
//		AGGIUNGO ELIMINO E MODIFICO OGGETTI
			//Elimino due Agente
			myUniverse.deleteAgent("Agente0");
			myUniverse.deleteAgent("Agente8");
			//Elimino due TC
			myUniverse.deleteTC("TC0");
			myUniverse.deleteTC("TC8");

			//Aggiungo due agenti e verifico che vengono inseriti all'esterno
			myUniverse.addAgent("Agenteprova1");
			myUniverse.addAgent("Agenteprova2");
			//Aggiungo due TC e verifico che vengono inseriti all'esterno
			myUniverse.addTC("TCprova1");
			myUniverse.addTC("TCprova2");

			//redistribuisco
			myUniverse.initialize(alist, tclist);
			
			//Aggiungo 6 Agente e verifico che vengano inseriti all'esterno
			myUniverse.addAgent("Agenteprova1");
			myUniverse.addAgent("Agenteprova2");
			myUniverse.addAgent("Agenteprova3");
			myUniverse.addAgent("Agenteprova4");
			myUniverse.addAgent("Agenteprova5");
			myUniverse.addAgent("Agenteprova6");
		//Aggiungo 6 TC e verifico che vengano inseriti all'esterno
		myUniverse.addTC("TCprova1");
		myUniverse.addTC("TCprova2");
		myUniverse.addTC("TCprova3");
		myUniverse.addTC("TCprova4");
		myUniverse.addTC("TCprova5");
		myUniverse.addTC("TCprova6");
		
		//redistribuisco
		myUniverse.initialize(alist, tclist);

			//Elimino due Agente
			myUniverse.deleteAgent("Agente0");
			myUniverse.deleteAgent("Agente8");
		//Elimino due TC
		myUniverse.deleteTC("TC0");
		myUniverse.deleteTC("TC8");

			//Cambio colore a certi Agente
			myUniverse.colorAgent("Agente1", 0,1,0);
		    myUniverse.colorAgent("Agente2", 0,0,1);
		    myUniverse.colorAgent("Agente3", 0,1,0);
			myUniverse.colorAgent("Agenteprova6", 0,1,1);
			
		//Cambio colore a certi TC
		myUniverse.colorTC("TC1", 0,1,0);
		myUniverse.colorTC("TC2", 0,0,1);
		myUniverse.colorTC("TC3", 0,1,0);
		myUniverse.colorTC("TCprova6", 0,1,1);
		//Cambio trasparenza ad alcuni TC
		myUniverse.trasparenceTC("TC1", 0.7f);
		myUniverse.trasparenceTC("TC2", 0.7f);
		myUniverse.trasparenceTC("TC3", 0.7f);
		myUniverse.trasparenceTC("TCprova6", 0.7f);
		//Cambio traspar. a certi Agente
		myUniverse.trasparenceAgent("Agente1", 0.7f);
		myUniverse.trasparenceAgent("Agente4", 0.7f);
		myUniverse.trasparenceAgent("Agente3", 0.7f);
		myUniverse.trasparenceAgent("Agenteprova6", 0.7f);
		myUniverse.trasparenceAgent("Agente5", 0.7f);

	}
}
