package view;

/**
 * La classe permette di definire un pannello grafico con tutti gli oggetti (pulsanti, etichette ecc)
 * utili per il monitoraggio a livello "Nodo"(sigolo nodo)
 * 
 * @author Matteo Campana nmatr.0000197228
 */

import javax.swing.*;
import java.awt.*;;

public class AgTCGui extends JPanel{
	//Elementi gui dell'interfaccia host
	public JTextField elemSel;
	JTextArea colore1, colore2, colore3, colore4, colore5, colore6, colore7;
	JLabel selezLabel, comando1, comando2, comando3, comando4, comando5, comando6, comando7;
	Box riga1, riga2, riga3, leggenda, item1,item2,item3,item4,item5,item6,item7, general;
	
	public AgTCGui(){
		super();
		
		//Costruzione riga1
		selezLabel = new JLabel("Elemento Selezionato");
		riga1 = new Box(BoxLayout.X_AXIS);
		riga1.add(selezLabel);
		
		//Costruzione riga2
		//creiamo un JTextField che visualizzer il nome dell'oggetto selezionato(agente o tc che sia)
		elemSel = new JTextField();
		riga2 = new Box(BoxLayout.X_AXIS);
		riga2.add(elemSel);
				
		//Costruzione riga3
		JButton ispez = new JButton("Ispeziona");
		riga3 = new Box(BoxLayout.X_AXIS);
		riga3.add(Box.createVerticalStrut(30));
		riga3.add(ispez);
		riga3.add(Box.createHorizontalStrut(30));
		
		//Costruzione della leggenda
		colore1= new JTextArea(2,2);
		colore1.setEditable(false);
		colore1.setBackground(new Color(1f,0f,0f));
		colore2= new JTextArea(2,2);
		colore2.setEditable(false);
		colore2.setBackground(new Color(0f,0f,1f));
		colore3= new JTextArea(2,2);
		colore3.setEditable(false);
		colore3.setBackground(new Color(0f,1f,0f));
		colore4= new JTextArea(2,2);
		colore4.setEditable(false);
		colore4.setBackground(new Color(1f, 0.5f, 0f));
		colore5= new JTextArea(2,2);
		colore5.setEditable(false);
		colore5.setBackground(new Color(1f, 1f, 0f));
		colore6= new JTextArea(2,2);
		colore6.setEditable(false);
		colore6.setBackground(new Color(0.9f, 0.3f, 0f));
		colore7= new JTextArea(2,2);
		colore7.setEditable(false);
		colore7.setBackground(new Color(0.7f, 0.7f, 0.7f));

		comando1 = new JLabel("Out          ");
		comando2 = new JLabel("In             ");
		comando3 = new JLabel("Rd            ");
		comando4 = new JLabel("Inp           ");
		comando5 = new JLabel("Rdp          ");
		comando6 = new JLabel("Set_spec");
		comando7 = new JLabel("Get_spec");
		
		item1 = new Box(BoxLayout.X_AXIS);
		item2 = new Box(BoxLayout.X_AXIS);
		item3 = new Box(BoxLayout.X_AXIS);
		item4 = new Box(BoxLayout.X_AXIS);
		item5 = new Box(BoxLayout.X_AXIS);
		item6 = new Box(BoxLayout.X_AXIS);
		item7 = new Box(BoxLayout.X_AXIS);

		item1.add(colore1);
		item2.add(colore2);
		item3.add(colore3);
		item4.add(colore4);
		item5.add(colore5);
		item6.add(colore6);
		item7.add(colore7);
		
		item1.add(Box.createHorizontalStrut(10));
		item2.add(Box.createHorizontalStrut(10));
		item3.add(Box.createHorizontalStrut(10));
		item4.add(Box.createHorizontalStrut(10));
		item5.add(Box.createHorizontalStrut(10));
		item6.add(Box.createHorizontalStrut(10));
		item7.add(Box.createHorizontalStrut(10));

		item1.add(comando1);
		item2.add(comando2);
		item3.add(comando3);
		item4.add(comando4);
		item5.add(comando5);
		item6.add(comando6);
		item7.add(comando7);
		
		leggenda = new Box(BoxLayout.Y_AXIS);
		leggenda.add(Box.createVerticalStrut(320));
		leggenda.add(item1);
		leggenda.add(item2);
		leggenda.add(item3);
		leggenda.add(item4);
		leggenda.add(item5);
		leggenda.add(item6);
		leggenda.add(item7);
		
		//Costruzione del GENERAL CONTROL
		general = new Box(BoxLayout.Y_AXIS);
		general.add(riga1);
		general.add(riga2);
		general.add(riga3);
		general.add(leggenda);
		//AGGIUNGO IL MAIN al JPanel
		add(general);
		
		//Collego i listener
	}
}


