package view;

/**
 * La classe permette di definire un pannello grafico con tutti gli oggetti (pulsanti, etichette ecc)
 * utili per il monitoraggio a livello "organizzazione"(tutti i nodi)
 * 
 * @author Matteo Campana nmatr.0000197228
 */
import javax.swing.*;
import view.Listener.*;

public class HostGui extends JPanel{
	//Elementi gui dell'interfaccia host
	public JTextField nodeSel;//lo ho reso statico e publico perch  un parameto da passare al SelectionListener
	JLabel selezLabel;
	Box riga1, riga2, riga3, general;
	
	public HostGui(){
		super();
		
		//Costruzione riga1
		selezLabel = new JLabel("Nodo Selezionato");
		riga1 = new Box(BoxLayout.X_AXIS);
		riga1.add(selezLabel);
		
		//Costruzione riga2
		//creiamo un JTextField che visualizzer il nome del nodo selezionato
		nodeSel = new JTextField();
		riga2 = new Box(BoxLayout.X_AXIS);
		riga2.add(nodeSel);
				
		//Costruzione riga3
		JButton ispez = new JButton("Ispeziona");
		riga3 = new Box(BoxLayout.X_AXIS);
		riga3.add(Box.createVerticalStrut(30));
		riga3.add(ispez);
		riga3.add(Box.createHorizontalStrut(30));
		
		//Costruzione del GENERAL CONTROL
		general = new Box(BoxLayout.Y_AXIS);
		general.add(riga1);
		general.add(riga2);
		general.add(riga3);


		//AGGIUNGO IL MAIN al JPanel
		add(general);
		
		//COLLEGO I LISTENER
		ispez.addActionListener(new InspectHostListener(nodeSel));
		
	}
}